UHD Utils and Boost

Alexander Chemeris alexander.chemeris at gmail.com
Mon Mar 4 09:24:39 UTC 2013


Hi Craig,

We recommend to use Ubuntu 10.04 or 12.04, as these are what we're
using here for all the development and testing. E.g. we recently
discovered that OpenBTS is unstable on some older versions of Fedora,
while it is very stable on aforementioned Ubuntu. We're yet to find
the reason for this.

In this particular case I recommend you to upgrade to a decent Boost
version. On my Ubuntu 12.04 I use Boost 1.48 and it works fine.

On Mon, Mar 4, 2013 at 12:30 AM, Craig Reading <craig.reading1 at gmail.com> wrote:
> Hi,
>
> I have been fighting with this one all day! Its my own fault as I'm on a
> CentOs 5.x distro. Anyway, when trying to run UHD utils I get:
>
> ./uhd_usrp_probe --args="addr=192.168.10.2"
> linux; GNU C++ version 4.1.2 20080704 (Red Hat 4.1.2-52); Boost_103900;
> UHD_003.
> 004.000-93a49d0
>
> Error: boost::bad_any_cast: failed conversion using boost::any_cast
>
> Help please.
>
> Regards
> Craig



--
Regards,
Alexander Chemeris.
CEO, Fairwaves LLC / ООО УмРадио
http://fairwaves.ru




More information about the UmTRX mailing list